## cascading.cascade.planner
Class TopologyGraph<Vertex>

    java.lang.Object
      org.jgrapht.graph.AbstractGraph<V,E>
          org.jgrapht.graph.AbstractBaseGraph<V,E>
              org.jgrapht.graph.SimpleDirectedGraph<Vertex,BaseFlow.FlowHolder>
                  cascading.cascade.planner.TopologyGraph<Vertex>

All Implemented Interfaces:
  Serializable, Cloneable, org.jgrapht.DirectedGraph<Vertex,BaseFlow.FlowHolder>, org.jgrapht.Graph<Vertex,BaseFlow.FlowHolder>

Direct Known Subclasses:
  IdentifierGraph, TapGraph

    public abstract class TopologyGraph<Vertex>

extends org.jgrapht.graph.SimpleDirectedGraph<Vertex,BaseFlow.FlowHolder>

See Also:
  Serialized Form

Constructor Summary
`TopologyGraph(Flow... flows)`

Method Summary
`protected abstract Vertex` `getVertex(Flow flow, Tap tap)`

Methods inherited from class org.jgrapht.graph.AbstractBaseGraph
`addEdge, addEdge, addVertex, clone, containsEdge, containsVertex, degreeOf, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, incomingEdgesOf, inDegreeOf, isAllowingLoops, isAllowingMultipleEdges, outDegreeOf, outgoingEdgesOf, removeEdge, removeEdge, removeVertex, setEdgeSetFactory, setEdgeWeight, vertexSet`

Methods inherited from class org.jgrapht.graph.AbstractGraph
`assertVertexExist, containsEdge, removeAllEdges, removeAllEdges, removeAllEdges, removeAllVertices, toString, toStringFromSets`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jgrapht.DirectedGraph
`incomingEdgesOf, inDegreeOf, outDegreeOf, outgoingEdgesOf`

Methods inherited from interface org.jgrapht.Graph
`addEdge, addEdge, addVertex, containsEdge, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, vertexSet`

Constructor Detail

### TopologyGraph

    public TopologyGraph(Flow... flows)

Method Detail

### getVertex

    protected abstract Vertex getVertex(Flow flow,
                                        Tap tap)

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.